logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Third-party Modules View previous topic :: View next topic
Reply to topic   Topic: Lua Socket connection fails from Apache 2.4
Author
jeevaengg21



Joined: 02 Feb 2016
Posts: 2

PostPosted: Thu 04 Feb '16 7:27    Post subject: Lua Socket connection fails from Apache 2.4 Reply with quote

Environment Detail:

Apache Version : 2.4
Lua Version : 5.1
OS : Windows 7

Installed Apache and Lua in windows 7 OS, while try the below sample in Lua editor it establish a socket communication and hit the configured url, but if i run same code in Apache 2.4, it ends up with below error. Looks like something wrong at loading socket libfile


Lua Sample:

package.path= ';C:/Program Files (x86)/Lua/5.1/lua/?.lua;C:/Program Files (x86)/Lua/5.1/lua/?/init.lua;C:/Program Files (x86)/Lua/5.1/?.lua;C:/Program Files (x86)/Lua/5.1/?/init.lua;C:/Program Files (x86)/Lua/5.1/lua/?.luac'
package.cpath= ';C:/Program Files (x86)/Lua/5.1/?.dll;C:/Program Files (x86)/Lua/5.1/?51.dll;C:/Program Files (x86)/Lua/5.1/clibs/?.dll;C:/Program Files (x86)/Lua/5.1/clibs/?51.dll;C:/Program Files (x86)/Lua/5.1/loadall.dll;C:/Program Files (x86)/Lua/5.1/clibs/loadall.dll'
local io = require("io")
local http = require("socket.http")
local ltn12 = require("ltn12")
r, e = http.request("http://localhost:8080//refreshCache/")
print(package.path)
print(r,e)

ERROR:

package.path= ';C:/Program Files (x86)/Lua/5.1/lua/?.lua;C:/Program Files (x86)/Lua/5.1/lua/?/init.lua;C:/Program Files (x86)/Lua/5.1/?.lua;C:/Program Files (x86)/Lua/5.1/?/init.lua;C:/Program Files (x86)/Lua/5.1/lua/?.luac'
package.cpath= ';C:/Program Files (x86)/Lua/5.1/?.dll;C:/Program Files (x86)/Lua/5.1/?51.dll;C:/Program Files (x86)/Lua/5.1/clibs/?.dll;C:/Program Files (x86)/Lua/5.1/clibs/?51.dll;C:/Program Files (x86)/Lua/5.1/loadall.dll;C:/Program Files (x86)/Lua/5.1/clibs/loadall.dll'
local io = require("io")
local http = require("socket.http")
local ltn12 = require("ltn12")
r, e = http.request("http://localhost:8080//refreshCache/")
print(package.path)
print(r,e)
Back to top
jeevaengg21



Joined: 02 Feb 2016
Posts: 2

PostPosted: Thu 04 Feb '16 9:15    Post subject: Re: Lua Socket connection fails from Apache 2.4 Reply with quote

jeevaengg21 wrote:
Environment Detail:

Apache Version : 2.4
Lua Version : 5.1
OS : Windows 7

Installed Apache and Lua in windows 7 OS, while try the below sample in Lua editor it establish a socket communication and hit the configured url, but if i run same code in Apache 2.4, it ends up with below error. Looks like something wrong at loading socket libfile


Lua Sample:

package.path= ';C:/Program Files (x86)/Lua/5.1/lua/?.lua;C:/Program Files (x86)/Lua/5.1/lua/?/init.lua;C:/Program Files (x86)/Lua/5.1/?.lua;C:/Program Files (x86)/Lua/5.1/?/init.lua;C:/Program Files (x86)/Lua/5.1/lua/?.luac'
package.cpath= ';C:/Program Files (x86)/Lua/5.1/?.dll;C:/Program Files (x86)/Lua/5.1/?51.dll;C:/Program Files (x86)/Lua/5.1/clibs/?.dll;C:/Program Files (x86)/Lua/5.1/clibs/?51.dll;C:/Program Files (x86)/Lua/5.1/loadall.dll;C:/Program Files (x86)/Lua/5.1/clibs/loadall.dll'
local io = require("io")
local http = require("socket.http")
local ltn12 = require("ltn12")
r, e = http.request("http://localhost:8080//refreshCache/")
print(package.path)
print(r,e)

ERROR:

package.path= ';C:/Program Files (x86)/Lua/5.1/lua/?.lua;C:/Program Files (x86)/Lua/5.1/lua/?/init.lua;C:/Program Files (x86)/Lua/5.1/?.lua;C:/Program Files (x86)/Lua/5.1/?/init.lua;C:/Program Files (x86)/Lua/5.1/lua/?.luac'
package.cpath= ';C:/Program Files (x86)/Lua/5.1/?.dll;C:/Program Files (x86)/Lua/5.1/?51.dll;C:/Program Files (x86)/Lua/5.1/clibs/?.dll;C:/Program Files (x86)/Lua/5.1/clibs/?51.dll;C:/Program Files (x86)/Lua/5.1/loadall.dll;C:/Program Files (x86)/Lua/5.1/clibs/loadall.dll'
local io = require("io")
local http = require("socket.http")
local ltn12 = require("ltn12")
r, e = http.request("http://localhost:8080//refreshCache/")
print(package.path)
print(r,e)
Back to top


Reply to topic   Topic: Lua Socket connection fails from Apache 2.4 View previous topic :: View next topic
Post new topic   Forum Index -> Third-party Modules